﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HardwareShopDatabaseImplement.Models.ModelsManyToMany
{
    public class PurchaseBuild
    {

        public int BuildId { get; set; }

        public int PurchaseId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Build Build { get; set; } = new();

        public virtual Purchase Purchase { get; set; } = new();
    }
}
