﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using HardwareShopDatabaseImplement.Models.ModelsStorekeeper;

namespace HardwareShopDatabaseImplement.Models.ModelsManyToMany
{
    public class PurchaseGood
    {

        public int PurchaseId { get; set; }

        public int GoodId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Purchase Purchase { get; set; } = new();

        public virtual Good Good { get; set; } = new();
    }
}
